%global pypi_name gevent-socketio

Name:           python-%{pypi_name}
Version:        0.3.5
Release:        2.rc2%{?dist}.2
Summary:        SocketIO server based on the Gevent pywsgi server

License:        BSD
URL:            https://github.com/abourget/gevent-socketio
Source0:        http://pypi.python.org/packages/source/g/%{pypi_name}/%{pypi_name}-%{version}-rc2.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-versiontools
Requires:       python-gevent
Requires:       python-gevent-websocket


%description
gevent-socketio is a Python implementation of the Socket.IO
protocol, developed originally for Node.js by LearnBoost and then
ported to other languages.  Socket.IO enables real-time web
communications between a browser and a server, using a WebSocket-like
API.  One aim of this project is to provide a single gevent-based
API that works across the different WSGI-based web frameworks out
there (Pyramid, Pylons, Flask, web2py, Django, etc...).  Only ~3 lines
of code are required to tie-in gevent-socketio in your framework.

%prep
%setup -q -n %{pypi_name}-%{version}-rc2
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info



%build
%{__python} setup.py build


%install
%{__python} setup.py install --skip-build --root %{buildroot}


%files
%doc README.rst LICENSE
%{python_sitelib}/socketio
%{python_sitelib}/gevent_socketio-%{version}_rc2-py?.?.egg-info

%changelog
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2.rc2.2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2.rc2.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Apr 25 2013 Matthias Runge <mrunge@redhat.com> - 0.3.5-2.rc2
- add missing requirement python-gevent-websocket
- add missing BR python-setuptools

* Wed Apr 17 2013 Matthias Runge <mrunge@redhat.com> - 0.3.5-1.rc2
- Initial package.
